# $Revision: 1.11 $, $Date: 2008/07/27 22:59:20 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	XML
%define		pnam	UM
Summary:	XML::UM - convert UTF-8 strings to any encoding supported by XML::Encoding
Summary(pl.UTF-8):	XML::UM - konwersja łańcuchów z UTF-8 do dowolnego kodowania obsługiwanego przez XML::Encoding
Name:		perl-XML-UM
Version:	0.01
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	2c8de66145627b8ed3db27c72510b73d
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-XML-Encoding
%endif
Obsoletes:	perl-libxml-enno
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The XML::UM Perl module provides methods to convert UTF-8 strings to
any XML encoding that the XML::Encoding manpage supports.

%description -l pl.UTF-8
Moduł Perla XML::UM dostarcza metody do konwersji łańcuchów UTF-8 do
dowolnego kodowania XML obsługiwanego przez XML::Encoding.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/XML/UM.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-XML-UM.spec,v $
Revision 1.11  2008/07/27 22:59:20  arekm
- release 2

Revision 1.10  2007-02-13 08:06:38  glen
- tabs in preamble

Revision 1.9  2007/02/12 01:06:23  baggins
- converted to UTF-8

Revision 1.8  2005/08/11 09:46:18  radek
- bcond_with(out) is followed by one \t, then bcond's name.

Revision 1.7  2004/11/03 22:30:57  paladine
- formatting

Revision 1.6  2004/05/11 07:35:27  ankry
- typo

Revision 1.5  2004/05/08 12:06:00  ankry
- fixed BR

Revision 1.4  2004/05/06 00:46:32  ankry
- fixed md5

Revision 1.3  2004/05/05 19:32:34  qboosh
- pl desc

Revision 1.2  2004/05/05 00:19:00  ankry
- summary / desc

Revision 1.1  2004/05/05 00:00:04  ankry
- new, unfinished
